Skip to content

GET /api/v3/images/{lcuid}

Summary

GET /images/{id}

Description

Returns a single image

Tags: creatives

Parameters

Header Parameters

Name Type Required Description Example
Authorization string ✓ Yes Bearer {AuthToken}
Content-Type string ✓ Yes application/json
Accept string ✓ Yes application/json
AppIdV3 string ✓ Yes LCUID-LAP-********-****-****-****-************

Responses

Response: 200

Content Type: text/plain

Schema

Type: string

Example Response
"{\n  \"success\": true,\n  \"image\": {\n    \"lcuid\": \"LCUID-LP-989f75f4-8cdd-4e09-a93b-0478660da53a\",\n    \"hash_id\": \"abc123def456\",\n    \"mime_type\": \"image/png\",\n    \"options\": {\n      \"public_url\": \"https://example.com/image.png\",\n      \"size_in_bytes\": 123456,\n      \"dimension_height\": 1080,\n      \"dimension_width\": 1920,\n      \"hash_md5\": \"5d41402abc4b2a76b9719d911017c592\"\n    }\n  }\n}\n\n @responseFile storage/docs/responses/v3.image.json"

Example Implementations

Bash (cURL)

curl --request GET \
    --get "https://api.lucit.app/api/v3/images/LCUID-LM-989f75f4-8cdd-4e09-a93b-0478660da53a" \
    --header "Authorization: Bearer {AuthToken}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --header "AppIdV3: LCUID-LAP-********-****-****-****-************"

JavaScript (Fetch API)

const url = new URL(
    "https://api.lucit.app/api/v3/images/LCUID-LM-989f75f4-8cdd-4e09-a93b-0478660da53a"
);

const headers = {
    "Authorization": "Bearer {AuthToken}",
    "Content-Type": "application/json",
    "Accept": "application/json",
    "AppIdV3": "LCUID-LAP-********-****-****-****-************",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());

PHP (Guzzle)

$client = new \GuzzleHttp\Client();
$response = $client->get(
    'https://api.lucit.app/api/v3/images/LCUID-LM-989f75f4-8cdd-4e09-a93b-0478660da53a',
    [
        'headers' => [
            'Authorization' => 'Bearer {AuthToken}',
            'Content-Type' => 'application/json',
            'Accept' => 'application/json',
            'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));

Python (Requests)

import requests
import json

url = 'https://api.lucit.app/api/v3/images/LCUID-LM-989f75f4-8cdd-4e09-a93b-0478660da53a'
headers = {
  'Authorization': 'Bearer {AuthToken}',
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}

response = requests.request('GET', url, headers=headers)
response.json()

← Back to images index | Back to main index